### Function

# Gimp dynamics_get_name_list

since: 2.8

#### Declaration [src]

    gchar**
    gimp_dynamics_get_name_list (
      const gchar* filter
    )

#### Description [src]

Retrieve the list of loaded paint dynamics.

This procedure returns a list of the paint dynamics that are currently available.

Available since: 2.8

#### Parameters

`filter`

  Type: `const gchar*`

  An optional regular expression used to filter the list.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

         The list of paint dynamics names.
         The returned value must be freed with g_strfreev().

The array is `NULL`-terminated.
The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.